import * as i0 from "@angular/core";
export declare class StiStaticHelperService {
    static browserLanguage: any;
    static dateToJsonDate(date: Date): string;
    static jsonDateFormatToDate(dateJSONFormat: any, format: any): any;
    static formatDate2(formatDate: any, formatString: any): any;
    private static formats;
    static formatDate(date: Date, format: string, locale?: string): string;
    private static fixParsedValue;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<StiStaticHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiStaticHelperService>;
}
